"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askEarlyAccessHeaderAlias = exports.askEarlyAccessHeaderValue = exports.inquireRequireFieldValidation = exports.askConfirmation = exports.askBaseBranch = exports.askStackAPIKey = exports.askCustomRegion = exports.askRegions = void 0;
const cli_utilities_1 = require("@contentstack/cli-utilities");
const askRegions = async () => {
    return cli_utilities_1.cliux.inquire({
        type: 'list',
        name: 'selectedRegion',
        message: 'CLI_CONFIG_SELECT_REGION',
        choices: [
            { name: 'NA', value: 'NA' },
            { name: 'EU', value: 'EU' },
            { name: 'AZURE-NA', value: 'AZURE-NA' },
            { name: 'AZURE-EU', value: 'AZURE-EU' },
            { name: 'GCP-NA', value: 'GCP-NA' },
            { name: 'Custom', value: 'custom' },
            { name: 'exit', value: 'exit' },
        ],
    });
};
exports.askRegions = askRegions;
const askCustomRegion = async () => {
    const name = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'name',
        message: 'CLI_CONFIG_INQUIRE_REGION_NAME',
    });
    const cma = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'cma',
        message: 'CLI_CONFIG_INQUIRE_REGION_CMA',
    });
    const cda = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'cda',
        message: 'CLI_CONFIG_INQUIRE_REGION_CDA',
    });
    const uiHost = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'ui-host',
        message: 'CLI_CONFIG_INQUIRE_REGION_UI_HOST',
    });
    return { name, cma, cda, uiHost };
};
exports.askCustomRegion = askCustomRegion;
async function askStackAPIKey() {
    return await cli_utilities_1.cliux.inquire({
        type: 'input',
        message: 'CLI_CONFIG_INQUIRE_API_KEY',
        name: 'stack-api-key',
        validate: inquireRequireFieldValidation,
    });
}
exports.askStackAPIKey = askStackAPIKey;
async function askBaseBranch() {
    return await cli_utilities_1.cliux.inquire({
        type: 'input',
        message: 'CLI_CONFIG_INQUIRE_BASE_BRANCH',
        name: 'base-branch',
        validate: inquireRequireFieldValidation,
    });
}
exports.askBaseBranch = askBaseBranch;
async function askConfirmation() {
    return await cli_utilities_1.cliux.inquire({
        type: 'confirm',
        message: 'Are you sure you want to remove this configuration ?',
        name: 'config_remove_confirmation',
    });
}
exports.askConfirmation = askConfirmation;
function inquireRequireFieldValidation(input) {
    if (!input || input.trim() === '') {
        return cli_utilities_1.messageHandler.parse('CLI_BRANCH_REQUIRED_FIELD');
    }
    return true;
}
exports.inquireRequireFieldValidation = inquireRequireFieldValidation;
async function askEarlyAccessHeaderValue() {
    return await cli_utilities_1.cliux.inquire({
        type: 'input',
        message: 'CLI_CONFIG_INQUIRE_EARLY_ACCESS_HEADER_VALUE',
        name: 'header-value',
        validate: inquireRequireFieldValidation,
    });
}
exports.askEarlyAccessHeaderValue = askEarlyAccessHeaderValue;
async function askEarlyAccessHeaderAlias() {
    return await cli_utilities_1.cliux.inquire({
        type: 'input',
        message: 'CLI_CONFIG_INQUIRE_EARLY_ACCESS_HEADER_ALIAS',
        name: 'header-alias',
        validate: inquireRequireFieldValidation,
    });
}
exports.askEarlyAccessHeaderAlias = askEarlyAccessHeaderAlias;
